﻿@model IEnumerable<FunXgame.Models.Imagen>

<form>
    <table class="table">
        <tr>
            <th>
                <label>Id</label>
            </th>
            <th>
                <label>Nombre imagen</label>
            </th>
            <th>
                <label>Vista Previa</label>
            </th>
            <th>
                <label>Grupo de imagen</label>
            </th>
            <th></th>
            <th></th>
        </tr>

        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.Id_imagen)
                </td>

                <td>
                    @Html.DisplayFor(modelItem => item.Nombre_imagen)
                </td>
                <td>
                    <img src="@Url.Content(item.Ruta)" style="height:100px" />

                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Grupo_Imagen.Nombre_grupo)
                </td>
                <td>
                    <a class="btn btn-success" href="~/Imagenes/EditarImagen/@item.Id_imagen" id="">Editar</a>
                   

                </td>
                <td>
                    <input type="button" id="@item.Id_imagen" data-url="@Url.Action("Imagenes","EliminarImagen",new{id=item.Id_imagen})" value="Eliminar" class="btn btn-danger" />
                </td>
            </tr>
        }

    </table>
</form>
<script>

    @foreach(var item in Model)
     {
        <text>
           $('#@item.Id_imagen').click(function () {
               idCapturada = @item.Id_imagen;
               ConfirmaBorrar(idCapturada);
            });
     </Text>
     }

    function ConfirmaBorrar(idCapturada) {

        swal({
            title: "Está a punto de eliminar un achivo de imagen",
            text: "No será capaz de recuperarlo",
            icon: "warning",
            buttons: [
                'Cancelar',
                'Confirmar'
            ],
            dangerMode: true,
        }).then(function (isConfirm) {
            if (isConfirm) {
                var valores = { id: idCapturada };
                var resultado = JSON.stringify(valores);
                $.ajax({
                    type: 'POST',
                    url: '@Url.Action("EliminarImagen")',
                    data: resultado,
                    dataType: 'json',
                    contentType: 'application/json; charset=utf-8',
                    success: function (result) {
                        if (result == "") {
                            swal({
                                title: 'Archivo de imagen eliminado',
                                icon: 'success'
                            }).then(function () {
                                cargaTablaImagenes(); 
                            });

                        } else {
                            swal("No se pudo eliminar la imagen", "error", "error");
                        }
                    }
                })
            }
        })
    }

</script>
